#ifndef FD_Xsox_h_
#define FD_Xsox_h_
/* Header file generated with fdesign. */

/**** Callback routines ****/

extern void InputFS(FL_OBJECT *, long);
extern void OutputFS(FL_OBJECT *, long);
extern void Exit(FL_OBJECT *, long);
extern void Convert(FL_OBJECT *, long);
extern void Play(FL_OBJECT *, long);
extern void Info(FL_OBJECT *, long);
extern void Stop(FL_OBJECT *, long);
extern void Effects(FL_OBJECT *, long);

extern void SetPlain(FL_OBJECT *, long);
extern void UnsetPlain(FL_OBJECT *, long);
extern void CloseEffects(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *Xsox;
	FL_OBJECT *SetInput;
	FL_OBJECT *SetOutput;
	FL_OBJECT *OutputFormat;
	FL_OBJECT *InputFormat;
	FL_OBJECT *InputRate;
	FL_OBJECT *OutputRate;
	FL_OBJECT *OutputChannels;
	FL_OBJECT *Output1Channel;
	FL_OBJECT *Output2Channel;
	FL_OBJECT *Output4Channel;
	FL_OBJECT *OutputChannelOff;
	FL_OBJECT *InputChannels;
	FL_OBJECT *Input1Channel;
	FL_OBJECT *Input2Channel;
	FL_OBJECT *Input4Channel;
	FL_OBJECT *InputChannelOff;
	FL_OBJECT *InputFS;
	FL_OBJECT *OutputFS;
	FL_OBJECT *Browser;
	FL_OBJECT *PlayCommand;
	FL_OBJECT *Buttons;
	FL_OBJECT *Exit;
	FL_OBJECT *Convert;
	FL_OBJECT *Play;
	FL_OBJECT *Info;
	FL_OBJECT *Stop;
	FL_OBJECT *Effects;
	void *vdata;
	long ldata;
} FD_Xsox;

extern FD_Xsox * create_form_Xsox(void);
typedef struct {
	FL_FORM *Effects;
	FL_OBJECT *SoundEffects;
	FL_OBJECT *Plain;
	FL_OBJECT *Vibro;
	FL_OBJECT *Echo;
	FL_OBJECT *HighPass;
	FL_OBJECT *LowPass;
	FL_OBJECT *BandPass;
	FL_OBJECT *Amplification;
	FL_OBJECT *CloseEffects;
	FL_OBJECT *Sliders;
	FL_OBJECT *EchoDelay;
	FL_OBJECT *EchoVolume;
	FL_OBJECT *VibroSpeed;
	FL_OBJECT *VibroDepth;
	FL_OBJECT *FilterFrequency;
	FL_OBJECT *Bandwidth;
	void *vdata;
	long ldata;
} FD_Effects;

extern FD_Effects * create_form_Effects(void);

#endif /* FD_Xsox_h_ */
