#include "Xsox.h"
#include "version.h"

#define MAXSTRING 1000
#define MAXLINE     70   /* maximum linelength in browser */
#define MAXBROWSER  25   /* maximum number of lines in browser */

/* Set some reasonable default playing commands */
#ifdef __hpux
#define PLAYTYPE 9  /* type ul */
#define PLAYCMD "send_sound -srate 8000 -prate 8000 -u"
#else
#ifdef __linux
#define PLAYTYPE 5  /* type ub */
#define PLAYCMD "vplay -r -b 8"
#else
#define PLAYTYPE 9  /* type ul */
#define PLAYCMD "dd of=/dev/audio"
#endif
#endif

#define INPUTREDIR  1
#define OUTPUTREDIR 2

/* external functions and variables */

extern FD_Xsox *fd_xsox;
extern FD_Effects *fd_effects;

extern char *GetOutputType(void);

extern int AddEffects(int output);
extern int  AddInputFile(char *cmd);
extern int  AddOutputFile(char *cmd);
extern void AddOutputSpecs(char *cmd);
extern void AddAmplification(char *cmd);

extern int ForkCommand(char *string,int output,int mode);
extern void AddMessages(FL_OBJECT *ob, long pipe);
